package com.liquidnet.service.dragon.channel.alipay.req;

import com.alibaba.fastjson.JSON;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: AlipayTradePayReq
 * @Package com.liquidnet.service.dragon.channel.alipay.req
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/7/9 17:50
 */
@Data
public class AlipayTradePayReq implements Serializable, Cloneable{
    private static final long serialVersionUID = -5827961038383330701L;
    private String productCode;
    private BigDecimal totalAmount;
    private String subject;
    private String body;
    private String outTradeNo;
    private String timeExpire;
    private String notifyUrl;
    private String timestamp;
    @Override
    public String toString(){
        return JSON.toJSONString(this);
    }
    private static final AlipayTradePayReq obj = new AlipayTradePayReq();

    public static AlipayTradePayReq getNew() {
        try {
            return (AlipayTradePayReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new AlipayTradePayReq();
        }
    }
}
